#!/usr/bin/env bash

export TRACETOOLS_TRACEPOINTS_ENABLED=1
ros2 run full_topology full_topology &
pid=$!

sleep 2
sudo lttng create test --output=/tmp/test
sudo lttng enable-event --userspace 'ros2:rclcpp_publish'
sudo lttng enable-event --userspace 'ros2:rmw_take'
sudo lttng start
sleep 5          # let the node run a bit
sudo lttng stop; sudo lttng destroy
kill $pid

sudo chown dev: -R /tmp/test

python - <<'PY'
from tracetools_analysis.loading import load_file
ev = load_file('/tmp/test/ust')
print({e['_name'] for e in ev})
PY
