#!/bin/bash

# Creates and sets up your Python 3.8 venv
python3.8 -m venv venv38 --system-site-packages --symlinks
source venv38/bin/activate

# Make sure colcon doesn't try to index the venv310 directory
touch venv38/COLCON_IGNORE

# Install Python packages
pip install --upgrade pip
pip install \
    cython \
    pathlib2 \
    numpy \
    matplotlib \
    ipympl \
    jupyterlab \
    jupyterlab-widgets \
    ipykernel

pip install --upgrade pytest colcon-common-extensions setuptools

# Make sure the venv310 is activated when starting a new shell
echo "source /workspaces/ROS-Dynamic-Executor-Experiments/venv38/bin/activate" >> /root/.bashrc
